=== debian/changelog ===
ros-indigo-baxter-sim-io (1.2.12-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Tue, 12 Jan 2016 03:31:56 -0000
